Skip to content

Launch a campaign

Request

OAuth 2.0 scope:
  • okta.governance.accessCertifications.manage
Admin roles:
  • ACCESS_CERTIFICATIONS_ADMIN

Launches a campaign to initiate the assignment of reviews to reviewers, regardless of pre-configured scheduleSettings.

Only campaigns with a status of SCHEDULED can be launched. A valid launch operation transitions a campaign to a status of ACTIVE.

If the campaign being launched has a recurring schedule, then it launches the next occurence of the campaign as per the schedule.

Attempting this operation with campaigns in any other status yields a 409 Conflict response indicating the state of the campaign is incompatible with the launch operation.

If the campaign being launched has a recurring definition, on successful response, one should get the newly launched campaign resource endpoint in HTTP header location.

Note: This operation is optional. Typically, campaigns are launched automatically according to the campaign's schedule settings (scheduleSettings).

Path
campaignIdstringrequired

Unique identifier for the campaign

POST
/governance/api/v1/campaigns/{campaignId}/launch
curl -i -X POST \
  'https://okta-subdomain.pixtulate.com/governance/api/v1/campaigns/{campaignId}/launch'

Responses

A successful campaign launch response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Locationstringrequired

Location of the campaign that was launched.

If the campaign that was launched has the RECURRING schedule type, then the location of the launched campaign that's returned is based on the recurring schedule.

Response
No content